<?php

$filename = 'c_leitura.php';
if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}
include 'c_leitura.php';
require_once("db.php");

$argsPost = array(
    'action' => array(
        'filter' => FILTER_VALIDATE_REGEXP,
        'options' => array("regexp" => "/^(excluir_codigos|imprimir_codigos)$/")
    ),
    'ids' => array(
        'filter' => FILTER_SANITIZE_STRING,
        'flags' => FILTER_REQUIRE_ARRAY,
    )
);

$inputPOST = filter_input_array(INPUT_POST, $argsPost);

switch ($inputPOST['action']) {
    case "excluir_codigos":
        $query = "UPDATE pre_pago SET status = 0 WHERE id IN (" . implode(',', $inputPOST['ids']) . ")";
        $result = mysql_query($query) or die(mysql_error());

        if ($result) {
            echo json_encode(array('success' => 1, 'msg' => 'Registros deletados com sucesso!'));
        } else {
            echo json_encode(array('success' => 0, 'msg' => 'Erro ao deletar Registro'));
        }
        break;

    case "imprimir_codigos":
        $query = ("SELECT codigo,valor FROM pre_pago "
                . " WHERE id IN (" . implode(',', $inputPOST['ids']) . ") "
                . " ORDER BY id DESC");
        $result = mysql_query($query) or die(mysql_error());
        if ($result) {
            while ($row = mysql_fetch_array($result)) {
                $dados[] = $row;
            }
            echo json_encode(array('success' => 1, 'msg' => 'Sucesso!', 'dados' => $dados ));
        } else {
            echo json_encode(array('success' => 0, 'msg' => 'Erro ao selecionar Registros'));
        }
        break;
}
?>
